Bug 215167 - Missing tarballs on website or wrong tarball download URL
Summary: Missing tarballs on website or wrong tarball download URL
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora Hosted Projects
Classification: Retired
Component: mock (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Clark Williams
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-11-11 20:04 UTC by Loïc Minier
Modified: 2013-01-10 04:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-14 19:38:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Loïc Minier 2006-11-11 20:04:26 UTC
Hi there,

Fedora Extras devel has a mock 0.6.8 tarball, but the mock homepage,
<http://fedoraproject.org/wiki/Projects/Mock>, suggests the authoritative
tarball download area is <http://fedoraproject.org/projects/mock/releases/>
which only has tarballs up to 0.6.5.  It would be nice to publish the latest and
intermediate tarballs on this site, or let the homepage point on the location
which has them.

The published tarballs are strange in that they encapsulate the previous tarball:
the 0.6.5 tarball has mock-0.6.5/mock-0.6.4.tar.gz, the 0.6.4 tarball has
mock-0.6.4/mock-0.6.3.tar.gz etc.

Thanks!

Comment 1 Loïc Minier 2006-11-11 20:13:01 UTC
The second problem seems to have been addressed in 0.6.8, not only in the
tarball itself but in the Makefile as well:
-archive:
-       @rm -rf ${PKGNAME}-%{VERSION}.tar.gz
+archive: clean
+       @rm -rf ${PKGNAME}-*.tar.gz

Comment 2 Clark Williams 2006-12-14 19:38:42 UTC
Loïc,

I apologize for the weird tarballs. As you saw from the Makefile change, I had a
brain cramp and wasn't cleaning up before building a new tarball for RPM
generation. 

We'll be getting the latest tarballs up on fedoraproject.org in the next day or so.

Clark


Comment 3 Loïc Minier 2006-12-16 17:05:51 UTC
Looks good now, thanks!


Note You need to log in before you can comment on or make changes to this bug.